# SGVB PSD

A python package for estimating the power spectral density (PSD) 
of correlated multivariate detector noise using variational inference (VI).


## Installation

```bash
pip install git+https//github.com/nz-gravity/sgvb_psd
```

## Usage

- [API Documentation](api.rst)
- [Simulated data Example](examples/simulation_example.ipynb)
- [ET Example](examples/ET_example.ipynb)

## Paper

The paper for SGVB PSD can be found [here](https://arxiv.org/).
Code to generate the plots for the paper are available [here](https://github.com/nz-gravity/sgvb_psd_paper)


## Acknowledging SGVB PSD
If you use this SGVB PSD code in your research, please cite the following paper:
```bibtex
@article{
    # TODO
}
```
